petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeRHSJacobian

Computes the Jacobian matrix that has been set with TSSetRHSJacobian().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSComputeRHSJacobian(TS ts,PetscReal t,Vec U,Mat A,Mat B)

Collective on TS and Vec Many br

### Input Parameters

| ts | - the TS context Many br
| t | - current timestep Many br
| U | - input vector Many br

### Output Parameters

| A | - Jacobian matrix Many br
| B | - optional preconditioning matrix Many br
| flag | - flag indicating matrix structure Many br

### Notes

Most users should not need to explicitly call this routine, as it Many bris used internally within the nonlinear solvers. Many br

See KSPSetOperators() for important information about setting the Many brflag parameter. Many br

Many br

### Keywords

SNES, compute, Jacobian, matrix

### See Also

TSSetRHSJacobian(), KSPSetOperators()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages